|

Validate a user's onboarding session

post/onboarding/session/validate
After a user finishes an interactive Footprint onboarding flow through one of our SDKs, your application will be given a validation token. This API allows you to exchange that short-lived validation token for the long-lived fp_id of the user who finished the flow. This also returns some information about the flow that the user has completed.

Request

Body

validation_token·

string

The validation token given from either the onComplete or onAuth callback of the Footprint SDK.

Response

bank_link·

optional object

information about the linked bank account if onboarding to a bank linking playbook.
id·

optional string

the id of the bank link (if the link was created)
intent_id·

optional string

the id of the bank link intent (if only the link intent was created)
business·

optional object

Information on the business and its onboarding session. Provided after onboarding onto a KYB playbook.

external_id·

optional string

The external_id provided for this user or business, if any.
fp_id·

string

onboarding_external_id·

optional string

The external_id provided for this onboarding, if any.
onboarding_id·

string

playbook_key·

string

requires_manual_review·

boolean

status·

string

The decision for this onboarding issued by the Action nodes on your playbook. For more information on interpreting statuses, see here.

Allowed values:

pass
fail
incomplete
pending
none
error
user·

optional object

Information on the user and their onboarding session. Provided after onboarding onto a KYC or KYB playbook.

external_id·

optional string

The external_id provided for this user or business, if any.
fp_id·

string

onboarding_external_id·

optional string

The external_id provided for this onboarding, if any.
onboarding_id·

string

playbook_key·

string

requires_manual_review·

boolean

status·

string

The decision for this onboarding issued by the Action nodes on your playbook. For more information on interpreting statuses, see here.

Allowed values:

pass
fail
incomplete
pending
none
error
user_auth·

optional object

Information on the authenticated user and the auth method they used.
auth_events·

array of objects

external_id·

optional string

The external_id provided for this user, if any.
fp_id·

string

POST /onboarding/session/validate
1curl -X POST https://api.onefootprint.com/onboarding/session/validate \
2  -u sk_test_xxxxx: \
3  -d '{
4    "validation_token": "vtok_UxM6Vbvk2Rcy1gzcSuXgk3sj3L9I0pAnNH"
5  }'
Response example
{
  "user": {
    "fp_id": "fp_id_7p793EF07xKXHqAeg5VGPj",
    "onboarding_id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
    "playbook_key": "pb_live_fZvYlX3JpanlQ3MAwE45g0",
    "requires_manual_review": true,
    "status": "pass"
  },
  "user_auth": {
    "auth_events": [
      {
        "kind": "sms",
        "timestamp": "2022-01-04T12:00-07:00"
      },
      {
        "kind": "sms",
        "timestamp": "2022-01-04T12:00-07:00"
      }
    ],
    "fp_id": "fp_id_7p793EF07xKXHqAeg5VGPj"
  }
}